export enum GameState {
  Setup,
  Joined,
  Started,
  Ended,
}

export interface ApiObject {
  errors?: string[],
}

export interface PlayerObject extends ApiObject  {
  id: string,
  name: string,
}

export interface JoinCreateGameObject extends ApiObject {
  player: PlayerObject,
  code: string,
}

export interface IsStartedObject extends ApiObject {
  started: boolean,
}
